package com.dayou.mapper;

import com.dayou.dto.MarketStatDTO;
import com.dayou.vo.MarketStatVO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/1/13
 * created with IntelliJ IDEA.
 */
public interface MarketStatMapper {
    MarketStatVO marketStat(@Param("dto") MarketStatDTO dto, @Param("lastMonth23")LocalDate lastMonth23);

    BigDecimal currentMonthPayment(@Param("userId") Long userId, @Param("lastMonth23") LocalDate lastMonth23);

    BigDecimal currentYearPayment(@Param("userId") Long userId);

    BigDecimal currentYearTeamPayment(@Param("userIds") Set<Long> userIds);
}
